#ifndef ENGINE_ENGINE_NUMBER_9_HTTP_STRUCTURES_RESPONSE_GEN_H
#define ENGINE_ENGINE_NUMBER_9_HTTP_STRUCTURES_RESPONSE_GEN_H

#include <vector>
#include <string>
#include "messages.h"

namespace een9 {
    ServerResponse form_http_server_response_200(const std::string& Content_Type, const std::string& body);

    ServerResponse form_http_server_response_404(const std::string& Content_Type, const std::string& body);

    ServerResponse form_http_server_response_303(const std::string& Location);

    ServerResponse form_http_server_response_303_spec_head(const std::string &Location,
        const std::vector<std::pair<std::string, std::string>>& headers);
}

#endif
